DataCubeControllerDeleteParameter Method |
DELETE /DataCube/Parameter/{id}
Deletes a parameter on the transform.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Parameter")]
public HttpResponseMessage DeleteParameter(
Guid id,
Guid parameterId,
Nullable<Guid> sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Parameter")>
Public Function DeleteParameter (
id As Guid,
parameterId As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Parameter")]
HttpResponseMessage^ DeleteParameter(
Guid id,
Guid parameterId,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Parameter")>]
member DeleteParameter :
id : Guid *
parameterId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the data cube the parameter is in. - parameterId
- Type: SystemGuid
The ID of the parameter to delete. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also